Subject: Re: [ANNOUNCEMENT] Updated: cygrunsrv-0.94-1
From: Jason Tishler <[email-masked]>
To: Fred Yankowski <[email-masked]>
Cc: Riaan Labuschagne <[email-masked]>, [email-masked]
Date: Thu, 12 Jul 2001 11:45:39 -0400

Fred,

On Thu, Jul 12, 2001 at 10:19:49AM -0500, Fred Yankowski wrote:
> This problem happens because Cygwin sends SIGHUP to each process
> during NT shutdown.  The postmaster process reacts to SIGHUP by
> starting to reload its configuration files (as designed) and this
> somehow jams up a concurrent attempt to shutdown the postmaster.  I've
> got a simple patch to the PostgreSQL code to have it ignore SIGHUP
> when built for Cygwin -- in both the postmaster and any postgresql
> processes -- but I haven't found the time to pursue a better solution
> or to champion inclusion of this patch into the distributed PostgreSQL.

Please post your patch -- I've been waiting with bated breath since you
first mentioned it.  :,)  I will be quite willing to champion it (or a
better solution, if one can be devised) for inclusion into PostgreSQL CVS.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/